FreeMat

- Main Page
- Related Pages

vtkTimePointToString

Section: Visualization Toolkit Infovis Classes

# Usage

vtkTimePointToString is a filter for converting a timestamp array into string array using one of the formats defined in vtkTimePointUtility.h.

Use SetInputArrayToProcess to indicate the array to process. This array must be an unsigned 64-bit integer array for DATETIME formats, and may be either an unsigned 32-bit or unsigned 64-bit array for DATE and TIME formats.

If the new array name is not specified, the array name will be the old name appended by " [to string]".

To create an instance of class vtkTimePointToString, simply invoke its constructor as follows

      obj = vtkTimePointToString

# Methods

The class vtkTimePointToString has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTimePointToString class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTimePointToString = obj.NewInstance ()`
- `vtkTimePointToString = obj.SafeDownCast (vtkObject o)`
- `obj.SetISO8601Format (int )` - The format to use when converting the timestamp to a string.
- `int = obj.GetISO8601Format ()` - The format to use when converting the timestamp to a string.
- `obj.SetOutputArrayName (string )` - The name of the output array. If this is not specified, the name will be the input array name with " [to string]" appended to it.
- `string = obj.GetOutputArrayName ()` - The name of the output array. If this is not specified, the name will be the input array name with " [to string]" appended to it.